apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: vertical-pod-autoscaler
  namespace: argocd
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    namespace: kube-system
    server: https://kubernetes.default.svc
  project: system
  source:
    path: kube-system/vertical-pod-autoscaler
    repoURL: https://git.tbrnt.ch/tobru/gitops-tbrnt.git
    targetRevision: HEAD
  ignoreDifferences:
    - group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      name: verticalpodautoscalers.autoscaling.k8s.io
      jsonPointers:
      - /spec/validation/openAPIV3Schema

